org.eclnt.jsfserver.defaultscreens

## Interface IImageCaptureProvider

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    ImageCaptureProviderDefault

      public interface IImageCaptureProvider
      extends java.io.Serializable

  Interface to plug to the ImageCaptuer class - which is the server side counter part of the IMAGECAPTURE control.
  The control allows to display a number of "information aspects", each one shown with an icon, and with a tool tip. "Information aspects" can be arranged in "lines", several "lines" form a block.
  Each information aspect indicates if it is available or not. Dependent on its availability and its selection status a corresponding background coloring is drawn. The background coloring can be defined by using the getBgpaint* methods of this interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IImageCaptureProvider.ImageCommand` Command for an information aspect.
    `static class` | `IImageCaptureProvider.ImageCommandList` List of image commands.
    `static class` | `IImageCaptureProvider.ImageData` Information behind one information aspect.
    `static class` | `IImageCaptureProvider.ImageDataBlock` List of "information aspect rows".
    `static class` | `IImageCaptureProvider.ImageDataRow` List of "information aspects".

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBgpaintSelectedAvailable()`
    `java.lang.String` | `getBgpaintSelectedNotAvailable()`
    `java.lang.String` | `getBgpaintUnselectedAvailable()`
    `java.lang.String` | `getBgpaintUnselectedNotAvailable()`
    `IImageCaptureProvider.ImageDataBlock` | `getImageDataBlock()`
    `void` | `reactOnCommand(IImageCaptureProvider.ImageData imageData, IImageCaptureProvider.ImageCommand command)` This is the main reaction method for reacting on the user invoking commands within the control.
    `void` | `reactOnIconSelection(IImageCaptureProvider.ImageData imageData)` This method is called when the user clicks on an icon representing an information aspect.
    `void` | `reactOnImageDoubleClick()` This method is called when the user double clicks onto the central image.

- - ### Method Detail

    - #### getImageDataBlock

          IImageCaptureProvider.ImageDataBlock getImageDataBlock()

    - #### reactOnCommand

          void reactOnCommand(IImageCaptureProvider.ImageData imageData,
                              IImageCaptureProvider.ImageCommand command)

      This is the main reaction method for reacting on the user invoking commands within the control. Each command is associated with an information aspect.
      Implementations need to override this method.

    - #### reactOnImageDoubleClick

          void reactOnImageDoubleClick()

      This method is called when the user double clicks onto the central image.

    - #### reactOnIconSelection

          void reactOnIconSelection(IImageCaptureProvider.ImageData imageData)

      This method is called when the user clicks on an icon representing an information aspect. You might use this event in order to load corresponding image-bytes on request only. - Pay attention: this method is also called for the initial selection of the first item, which is not triggered by a user interaction.

    - #### getBgpaintSelectedAvailable

          java.lang.String getBgpaintSelectedAvailable()

    - #### getBgpaintSelectedNotAvailable

          java.lang.String getBgpaintSelectedNotAvailable()

    - #### getBgpaintUnselectedAvailable

          java.lang.String getBgpaintUnselectedAvailable()

    - #### getBgpaintUnselectedNotAvailable

          java.lang.String getBgpaintUnselectedNotAvailable()

Copyright © CaptainCasa Gmbh. All Rights Reserved.